org.apache.lucene.analysis.ru

## Class RussianCharsets

- java.lang.Object
- - org.apache.lucene.analysis.ru.RussianCharsets

- Deprecated.
  Support for non-Unicode encodings will be removed in Lucene 3.0

      public class RussianCharsets
      extends java.lang.Object

  RussianCharsets class contains encodings schemes (charsets) and toLowerCase() method implementation for russian characters in Unicode, KOI8 and CP1252.

  Each encoding scheme contains lowercase (positions 0-31) and uppercase (position 32-63) characters. One should be able to add other encoding schemes (like ISO-8859-5 or customized) by adding a new charset and adding logic to toLowerCase() method for that charset.

  Version:
    $Id: RussianCharsets.java 806886 2009-08-22 20:36:06Z rmuir $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char[]` | `CP1251` Deprecated.
    `static char[]` | `KOI8` Deprecated.
    `static char[]` | `UnicodeRussian` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RussianCharsets()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static char` | `toLowerCase(char letter, char[] charset)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UnicodeRussian

          public static char[] UnicodeRussian

      Deprecated.

    - #### KOI8

          public static char[] KOI8

      Deprecated.

    - #### CP1251

          public static char[] CP1251

      Deprecated.

  - ### Constructor Detail

    - #### RussianCharsets

          public RussianCharsets()

      Deprecated.

  - ### Method Detail

    - #### toLowerCase

          public static char toLowerCase(char letter,
                                         char[] charset)

      Deprecated.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.